local WYM = _G.WymBuffs
local L = WYM.L

local debuffCategories = {
    showPhysicalDamageReduction = {
        115798, -- * Weakened Blows
        81132,  -- Scarlet Fever (Blood Death Knight)
        106830, -- Thrash (Feral Druid)
        77758,  -- Thrash (Guardian Druid)
        50256,  -- Demoralizing Roar (Hunter (Bear))
        24423,  -- Demoralizing Screech (Hunter (Carrion Bird))
        121253, -- Keg Smash (Brewmaster Monks)
        53595,  -- Hammer of the Righteous (Prot/Retri Paladin)
        8042,   -- Earth Shock (Ele/Enh Shaman)
        109466, -- Curse of Enfeeblement (Warlock)
        6343,   -- Thunder Clap (Warrior)
    },
    showPhysicalDamageTaken = {  
        81326,  -- * Physical Vulnerability      
        81328,  -- Brittle Bones (Frost Death Knight)
        51160,  -- Ebon Plaguebringer (Unholy Death Knight)
        35290,  -- Gore (Hunter (Boar))
        57386,  -- Stampede (Hunter (Exotic Rhino))
        55749,  -- Acid Spit (Hunter (Exotic Worm))
        50518,  -- Ravage (Hunter (Ravager))
        111529, -- Judgements of the Bold (Retri Paladin)
        86346,  -- * Colossus Smash (Arms/Fury Warrior)
    },
    showReducedArmor = {
        113746, -- * Weakened Armor        
        770,    -- * Faerie Fire (Druid)
        50498,  -- Tear Armor (Hunter (Raptor))
        50285,  -- Dust Cloud (Hunter (Tailstrider))
        8647,   -- Expose Armor (Rogue)
        7386,   -- Sunder Armor (Arms/Fury Warrior)
        20243,  -- Devastate (Prot Warrior)
    },    
    showSpellDamageTaken = {
        34889, -- Fire Breath (Hunter (Dragonhawk))
        24844, -- Lightning Breath (Hunter (Wind Serpent))
        93068, -- * Master Poisoner (Rogue)
        1490,  -- * Curse of the Elements (Warlock)        
    },
    showHealingDebuff = {
        82654,  -- Widow Venom (Hunter)
        54680,  -- Monstrous Bite (Hunter (Exotic Devilsaur))
        107428, -- Rising Sun Kick (Windwalker Monk)
        8679,   -- Wound Poison (Rogue)
        115804, -- * Mortal Wounds (Arms Warrior)
        100130, -- Wild Strike (Fury Warrior)
    },    
    showReducedCastingSpeed = {
        73975,  -- Necrotic Strike (Death Knight)
        58604,  -- Lava Breath (Hunter (Exotic Corehound))
        50274,  -- Spore Cloud (Hunter (Sporebat))
        31589,  -- Slow (Arcane Mage)
        5761,   -- Mind Numbing Poison (Rogue)
        109466, -- Curse of Enfeeblement
    },
    
}

function WYM:IsEnabledDebuffCategory(frame, buff)
    -- Uncomment this to debug, woot
    -- self:Print(buff.name .. "=" .. buff.spellId)    
    
    for category, spellIds in pairs(debuffCategories) do
        if frame.settings[category] then
            for _,spellId in pairs(spellIds) do
                if buff.spellId == spellId then
                    return true
                end 
            end
        end
    end
end

