local WYM = _G.WymBuffs
local MSQ = LibStub("Masque", true)
local initialized = false

function WYM:AddButtonToMasqueGroup(frame, button)
    if MSQ then
        if not initialized then
            self:InitMasqueSupport()
        end
        
        local buttonDataLayers = { "AutoCast", "AutoCastable", "Backdrop", "Border", "Checked", "Cooldown", "Count", "Disabled", "Flash", "Highlight", "HotKey", "Name", "Pushed" }
        button.buttonData = { Icon = button.icon }
        for i, layer in ipairs(buttonDataLayers) do
                button.buttonData[layer] = false
        end
        
        local group = MSQ:Group("WymBuffs",frame.settings.name)
        group:AddButton(button, button.buttonData)

        if not frame.masqueInitialized then
            local masque = frame.settings.masque
            if masque then
                group:Skin(masque.skinID,masque.gloss,masque.backdrop)
                frame.masqueInitialized = true
            end
        end
    end
end

function WYM:RemoveButtonFromMasqueGroup(frame, button)
    if MSQ then
        local group = MSQ:Group("WymBuffs",frame.settings.name)
        group:RemoveButton(button)
    end
end

function WYM:InitMasqueSupport()
    if MSQ and not initialized then
        local function OnSkinChanged(id, skinID, gloss, backdrop, group, button, colors)
            local frame = self:GetBuffFrame(id)
            if frame then
                if not frame.settings.masque then
                    frame.settings.masque = {}
                end
                if frame.settings.name == group then
                    local masque = frame.settings.masque
                    masque.skinID = skinID
                    masque.gloss = gloss
                    masque.backdrop = backdrop
                    masque.colors = colors
                end
            end
        end
    
        for id,frame in pairs(self:GetBuffFrames()) do
            MSQ:Register("WymBuffs", OnSkinChanged, frame.settings.id)
        end
        initialized = true
    end
end
